namespace View_by_Distance.Shared.Models.Stateless.Methods;

public interface IDate
{

    (bool?, string[]) TestStatic_IsWrongYear(string[] segments, string year) =>
        IsWrongYear(segments, year);
    static (bool?, string[]) IsWrongYear(string[] segments, string year) =>
        XDate.IsWrongYear(segments, year);

    (int Season, string seasonName) TestStatic_GetSeason(int dayOfYear) =>
        GetSeason(dayOfYear);
    static (int Season, string seasonName) GetSeason(int dayOfYear) =>
        XDate.GetSeason(dayOfYear);

    (int Season, string seasonName) TestStatic_GetSeasonAB(int dayOfYear) =>
        GetSeasonAB(dayOfYear);
    static (int Season, string seasonName) GetSeasonAB(int dayOfYear) =>
        XDate.GetSeasonAB(dayOfYear);

    DateTime? TestStatic_GetDateTimeOriginal(ExifDirectory exifDirectory) =>
        GetDateTimeOriginal(exifDirectory);
    static DateTime? GetDateTimeOriginal(ExifDirectory exifDirectory) =>
        XDate.GetDateTimeOriginal(exifDirectory);

    DateTime TestStatic_GetMinimum(ExifDirectory exifDirectory) =>
        GetMinimum(exifDirectory);
    static DateTime GetMinimum(ExifDirectory exifDirectory) =>
        XDate.GetMinimum(exifDirectory);

}